!----------------------------------------------------------------------------
!
!              More Verb Stub Routines by Kent Tessman (c) 2004
!
!----------------------------------------------------------------------------

routine DoEmote
{
	print "You "; VerbWord;
	if object
		print word[2]; " "; The(object);
	print "."
}

routine DoGoodbye
{
	if not speaking and not object
		"And to you."
	elseif not object
		Perform(&DoGoodbye, speaking)
	elseif object = player
		"Indeed."
	else
	{
		local char
		char = object
		object = nothing
		xobject = nothing
		if not char.order_response
		{
			if char is not living
				"For what it's worth, you ";
			else
				"You ";
			"bid goodbye to ";
			print The(char); "."
			if char is unconscious, dead
				"  Even though you go unheard."
		}
	}
}

routine DoThank
{
	if not speaking and not object
		"And to you."
	elseif not object
		Perform(&DoThank, speaking)
	elseif object = player
		"Indeed."
	else
	{
		local char
		char = object
		object = nothing
		xobject = nothing
		if not char.order_response
		{
			if char is not living
				"For what it's worth, you ";
			else
				"You ";
			"thank ";
			print The(char); ".";
			if char is unfriendly
				"  It seems to go unappreciated."
			elseif char is unconscious, dead
				"  Even though you go unheard."
			else
				print newline
		}
	}
}

routine DoMake
{
	"How exactly do you plan to make that?"
	return false
}
			
